Bug 974680 - Intel HDA volume haywire after kernel-3.6.10 [NEEDINFO]
Intel HDA volume haywire after kernel-3.6.10
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Patrick Laughton
Fedora Extras Quality Assurance
RejectedBlocker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 15:37 EDT by Rgeri77
Modified: 2014-03-17 14:42 EDT (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-17 14:42:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)
alsa-info.sh (43.28 KB, text/plain)
2013-06-20 01:22 EDT, Rgeri77
no flags Details
alsa-info.sh kernel 3.6.10 (52.42 KB, text/plain)
2013-06-20 03:13 EDT, Rgeri77
no flags Details

  None (edit)
Description Rgeri77 2013-06-14 15:37:01 EDT
Description of problem:
Volume controll in Kde4.10.4 is not working properly. When i try to push volume up with multimedia keys the on screen display shows 5% but in alsamixer the PCM device on 100%, this two item is not synchronized. Its the same with Pavucontroll.Something wrong with Master and PCM device connection. But its depends on kernel. With kernel 2.6.10 its working properly. But with kernel 2.9.x its not working.

Version-Release number of selected component (if applicable):
Kde4.10.4
Alsamixer : 1.0.26
Kernel : 3.9.5
Kmix : 4.3 (4.10.4)
Driver : snd_hda_intel (Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller (rev 04) )

How reproducible:
Try use volume controll in kmix, or with keyboard multimedia keys

Steps to Reproduce:
1. Start play something ex. in amarok
2. Try to increase volume
3. You get 100% PCM volume with 1 or 2 push

Actual results:
Here is my video about the problem : youtu.be/1mSBZlEMNQY

Expected results:


Additional info:
Comment 1 Rgeri77 2013-06-19 03:30:21 EDT
I mistype the kernel version:

With kernel 3.6.10 - Working
With kernel 3.9.x - Not working
Comment 2 John Poelstra 2013-06-19 16:27:59 EDT
Sound not working for me either, stock Gnome3 (no add-ons), Fedora 19 w/ all latest updates.   

Sound works intitially after booting, but after going to youtube one or two times suddenly stops working.

3.9.5-301.fc19.x86_64

$ lspci | grep -i Aud
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

Dell XPS M1330
Comment 3 Fedora Blocker Bugs Application 2013-06-19 16:40:16 EDT
Proposed as a Blocker for 19-final by Fedora user poelstra using the blocker tracking app because:

 Sound should work on regular hardware.
Comment 4 Adam Williamson 2013-06-19 22:52:42 EDT
John: um. your bug doesn't immediately seem related to the OP's bug in any way. He's talking about a volume control issue, you're talking about 'sound not working'. The fact that you both have 'intel HDA' hardware is entirely insignificant - just about every sound adapter in every laptop in the last 6 years has been 'intel hda'.

This is unlikely to merit blocker status unless it's affecting a lot more systems.
Comment 5 Dan Mashal 2013-06-19 22:54:13 EDT
(In reply to Adam Williamson from comment #4)
> John: um. your bug doesn't immediately seem related to the OP's bug in any
> way. He's talking about a volume control issue, you're talking about 'sound
> not working'. The fact that you both have 'intel HDA' hardware is entirely
> insignificant - just about every sound adapter in every laptop in the last 6
> years has been 'intel hda'.
> 
> This is unlikely to merit blocker status unless it's affecting a lot more
> systems.

There have been quite a few Intel HDA reports in the last 48 hours.
Comment 6 Adam Williamson 2013-06-19 22:58:38 EDT
Be useful to reference them from here, then.
Comment 7 John Poelstra 2013-06-20 00:59:24 EDT
(In reply to Adam Williamson from comment #4)
> John: um. your bug doesn't immediately seem related to the OP's bug in any
> way. He's talking about a volume control issue, you're talking about 'sound
> not working'. The fact that you both have 'intel HDA' hardware is entirely
> insignificant - just about every sound adapter in every laptop in the last 6
> years has been 'intel hda'.
> 
> This is unlikely to merit blocker status unless it's affecting a lot more
> systems.

I was referred to this bug as the representing my problem. Sorry if this is the wrong place to report my details.  Let me know if you'd like me to open a separate bug.

I've been running Fedora long enough to know that something weird is going on here.  I agree if I'm on the only one this isn't a blocker.
Comment 8 Adam Williamson 2013-06-20 01:02:09 EDT
ah, did Dan send you? well, we'd best get more details from both, anyhow. Can we get the stuff from https://fedoraproject.org/wiki/How_to_debug_sound_problems ? Thanks.
Comment 9 Rgeri77 2013-06-20 01:21:59 EDT
(In reply to Adam Williamson from comment #8)
> ah, did Dan send you? well, we'd best get more details from both, anyhow.
> Can we get the stuff from
> https://fedoraproject.org/wiki/How_to_debug_sound_problems ? Thanks.

If I use 3.6.10 kernel everything is working.
If i start my system with 3.9.x kernel, then i get that sound mixer bug even if I change the model.

I attached my alsa-info

Thanks
Comment 10 Rgeri77 2013-06-20 01:22:39 EDT
Created attachment 763219 [details]
alsa-info.sh
Comment 11 Jaroslav Kysela 2013-06-20 02:40:05 EDT
Attach also the alsa-info output for the 3.10 kernel.
Comment 12 Rgeri77 2013-06-20 03:13:13 EDT
Created attachment 763290 [details]
alsa-info.sh kernel 3.6.10
Comment 13 Raymond 2013-06-20 12:07:20 EDT
1430.390143] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.392102] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.393919] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.396061] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.404740] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.406061] hda-codec: out of range cmd 0:0:6:707:fffffffc
Comment 14 Raymond 2013-06-20 12:07:43 EDT
1430.390143] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.392102] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.393919] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.396061] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.404740] hda-codec: out of range cmd 0:0:6:707:fffffffc
[ 1430.406061] hda-codec: out of range cmd 0:0:6:707:fffffffc
Comment 15 Rex Dieter 2013-06-20 12:25:31 EDT
adjusting summary, to hopefully describe more specifically what this bug was originally about, and avoid it becoming an umbrella for anything Intel HDA related.  

Others: if your issues are not volume related, please do file separate bugs
Comment 16 Adam Williamson 2013-06-20 22:16:59 EDT
Discussed at 2013-06-20 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-20/f19final-blocker-review-7.1.2013-06-20-15.01.html . Rejected as a blocker for now as so far as we can tell this bug just covers a non-critical bug affecting, so far as we know, a single user (i.e. piece of hardware). If this turns out to be affecting a massive number of people we could re-consider, but we have no indication of that so far.

John's bug is also currently, so far as we know, a single-system bug. It should be filed separately.

Dan, I'm not sure if you're aware of this or not, but just about every onboard sound adapter made in the last near-decade is 'Intel HDA'; it's more or less an industry standard. But each bit of hardware implements it slightly differently, and the snd-hda-intel driver is a huge mass of code which covers all the little variations. Just because two people have sound problems with 'intel HDA' hardware is no indication at all that the bugs are at all related. You have to get the debugging info (see above), and you need to look at the alsa-info output and see if the hardware seems to match or be very similar, to see if multiple people's issues are likely to be related. (Look at the subsystem IDs, 'Codec' name, dmidecode and aumixer output for hints).
Comment 17 Erik M Jacobs 2013-06-22 00:38:40 EDT
So I'm experiencing interesting issues with JACK audio and volume control.  Not sure if this is related or should be a separate issue.  Here goes:

alsa-plugins-pulseaudio-1.0.26-2.fc18.i686
abrt-addon-kerneloops-2.1.4-3.fc18.x86_64
kernel-3.9.5-201.fc18.x86_64
kernel-headers-3.9.6-200.fc18.x86_64
pulseaudio-module-bluetooth-2.1-6.fc18.x86_64
qjackctl-0.3.10-1.fc18.x86_64
wine-pulseaudio-1.5.29-1.fc18.i686
pulseaudio-2.1-6.fc18.x86_64
pulseaudio-libs-2.1-6.fc18.i686
alsa-plugins-pulseaudio-1.0.26-2.fc18.x86_64
pulseaudio-gdm-hooks-2.1-6.fc18.x86_64
libreport-plugin-kerneloops-2.1.4-4.fc18.x86_64
jack-audio-connection-kit-dbus-1.9.9.5-1.fc18.x86_64
pulseaudio-utils-2.1-6.fc18.x86_64
kernel-modules-extra-3.9.6-200.fc18.x86_64
wine-pulseaudio-1.5.29-1.fc18.x86_64
kernel-3.9.4-200.fc18.x86_64
pulseaudio-module-x11-2.1-6.fc18.x86_64
jack-audio-connection-kit-example-clients-1.9.9.5-1.fc18.x86_64
pulseaudio-module-jack-2.1-6.fc18.x86_64
texlive-l3kernel-svn29409.SVN_4469-20.fc18.noarch
pulseaudio-libs-2.1-6.fc18.x86_64
pulseaudio-libs-glib2-2.1-6.fc18.x86_64
jack-audio-connection-kit-1.9.9.5-1.fc18.x86_64
kernel-modules-extra-3.9.5-201.fc18.x86_64
kernel-modules-extra-3.9.4-200.fc18.x86_64
kernel-3.9.6-200.fc18.x86_64

When using a jack-routed audio program (like Hydrogen), I am finding that the system volume control does nothing.  I've even tried messing with pavucontrol which also has no effect.  No matter what I do with the sliders, the audio output from Hydrogen is bascically constant.

Note that I've also followed the instructions for setting up jack-pulse modules:
https://docs.fedoraproject.org/en-US/Fedora/18/html/Musicians_Guide/sect-Musicians_Guide-Integrating_PulseAudio_with_JACK.html
Comment 18 Rgeri77 2013-06-24 01:32:26 EDT
The problem still exists in kernel 3.9.6-200.fc18.x86_64. On presentations its very uncomfortable this problem with volume controll. PLease somehow solve this,Thanks
Comment 19 Kevin Kofler 2013-06-29 17:34:13 EDT
Re comment #17:
> So I'm experiencing interesting issues with JACK audio and volume control.  Not
> sure if this is related or should be a separate issue.

Definitely separate. This bug is about a kernel issue, it has nothing to do with JACK.
Comment 20 Rgeri77 2013-08-20 14:58:48 EDT
The some problem exists with 3.10.4-100.fc18.x86_64. Urgent solution needed, because conference, and show expo usage. Its a shame.
Comment 21 Fedora End Of Life 2013-09-16 10:11:40 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 22 Rgeri77 2013-10-21 14:49:56 EDT
This bug is still exists. The problem: http://youtu.be/843w31PiFTo
Is there any option what can I try to solve this ?
Comment 23 Rgeri77 2013-10-23 13:07:10 EDT
The some problem with kernel 3.11.4-101.fc18.x86_64
Comment 24 Raymond 2013-10-24 03:33:42 EDT
https://bugzilla.kernel.org/show_bug.cgi?id=55541

there seem to be a major change in CA0132 using firmware and DSP and 10 bands EQ for chromepixel


http://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/log/sound/pci/hda/patch_ca0132.c

seem not all CA0132 get sound after the upgrade, so you need to know how to restore the current working driver before you try the latest version
Comment 25 Justin M. Forbes 2014-02-24 08:52:45 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 26 Justin M. Forbes 2014-03-17 14:42:45 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.